@tailwind base;
@tailwind components;
@tailwind utilities;

.flex-grow {
  @apply grow overflow-auto;
}

:root {
  overflow: hidden;
}
.glass {
  background: rgba(204, 204, 214, 0.2);
  /* border: 1px solid white; */
  backdrop-filter: blur(25px);
}
.glassthick {
  background: rgba(204, 204, 214, 0.2);
  /* border: 1px solid white; */
  backdrop-filter: blur(55px);
}
.glassmenubar {
  background: rgba(204, 204, 214, 0.1);
  /* border: 1px solid white; */
  backdrop-filter: blur(35px);
}
body {
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

@layer base {
  /* @font-face {
        font-family: 'HkGrotesk';
        src: url('fonts/HKGrotesk-Medium.otf');
    } */

  /* Hides scrollbar by default - Use styledscroll to show scrollbar */
  ::-webkit-scrollbar {
    width: 0em; /* Chrome, Safari */
  }
  :root {
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none; /* Firefox */
    scrollbar-color: transparent transparent;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
  }

  .styledscroll {
    -webkit-overflow-scrolling: touch;
    scrollbar-width: 0.5em !important;
    scrollbar-color: rgba(var(--colors-bgs2)) !important;
  }

  .styledscroll::-webkit-scrollbar {
    height: 2px;
    width: 0.5em !important;
  }

  .styledscroll::-webkit-scrollbar-thumb {
    border-radius: 9999px;
    background-color: rgba(var(--colors-bgs2));
  }

  .styledscroll::-webkit-scrollbar-thumb:hover {
    background-color: rgba(var(--colors-bgs3));
    width: 1rem;
  }

  button,
  div {
    -webkit-tap-highlight-color: transparent;
  }
  /* button:active,
  button:focus {
    outline: none;
    background: transparent;
  } */
  .custom-focus-outline:focus {
    outline: 1px auto -webkit-focus-ring-color;
  }

  input::placeholder {
    font-weight: lighter;
    /* font-style: italic; */
    color: rgba(var(--colors-fgs2), 0.5);
  }

  textarea::placeholder {
    font-weight: lighter;
    color: rgba(var(--colors-fgs2), 0.5);
  }

  /* Carbon chart overrides */
  g.callouts {
    display: none !important;
    opacity: 0 !important;
  }

  div.legend {
    max-height: 50px !important;
    overflow: auto !important;
  }

  path.arc-background, .cds--cc--gauge path.arc-background, .arc-background {
    fill: rgba(var(--colors-aps2), 1) !important;
  }
}


@layer utilities {
  .underline-dotted, .underline-dotted-primary {
    position: relative;
    /* text-decoration: underline;
    text-decoration-style: dotted;
    text-decoration-color: rgba(var(--colors-fgs3), 1); */
  }

  .underline-dotted::after {
    content: "";
    position: absolute;
    left: 0%;
    bottom: -0.2px;
    height: 1.5px;
    width: 100%;
    background: repeating-linear-gradient(
      to right,
      rgba(var(--colors-fgs3), 1),
      rgba(var(--colors-fgs3), 1) 2px,
      transparent 1px,
      transparent 4px
    );
  }
  .underline-dotted-primary::after {
    content: "";
    position: absolute;
    left: 0%;
    bottom: -0.2px;
    height: 1.5px;
    width: 100%;
    background: repeating-linear-gradient(
      to right,
      rgba(var(--colors-aps1), 1),
      rgba(var(--colors-aps1), 1) 2px,
      transparent 1px,
      transparent 4px
    );
  }
}